# Source openstack env (from Killeen)
```
source ./ciment-nix-ci-openrc.sh
```

# Instanciate a new server
```
openstack server create --flavor m1.medium --image nixos-18.03-x86_64 --key-name bzizou -rsa --nic net-id=ciment-nix-ci-int-net phyloalps
```

# Get a routed ip address
```
openstack floating ip create --subnet ciment-nix-ci-ext-pub-subnet ciment-nix-ci-ext-net
```

# Set the ip address to the server
```
openstack server add floating ip phyloalps 129.88.195.27
```

# Allow ssh
```
openstack security group create my-ssh
openstack security group rule create --ingress --dst-port 22 --protocol tcp my-ssh
openstack server add security group phyloalps my-ssh
```

# Faire une image
```
openstack server image create phyloalps --name nixos-18.09-x86_64
```
